<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Korpo
 * @since Korpo 1.0.0
 */

$wp_customize->add_section( 'korpo_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','korpo' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'korpo' ),
	'panel'             => 'korpo_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'korpo_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'korpo_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Korpo_Switch_Control( $wp_customize, 'korpo_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'korpo' ),
	'section'          	=> 'korpo_breadcrumb',
	'on_off_label' 		=> korpo_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'korpo_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'korpo_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'korpo' ),
	'active_callback' 	=> 'korpo_is_breadcrumb_enable',
	'section'          	=> 'korpo_breadcrumb',
) );